<?php

namespace WPDesk\FakturyKSEF\Api\Requests;

class CloseSessionRequest implements KsefRequestInterface {

	private string $session_ref_number;

	public function __construct(
		string $session_ref_number
	) {
		$this->session_ref_number = $session_ref_number;
	}

	public function get_method(): string {
		return 'POST';
	}

	public function get_uri(): string {
		return sprintf( '/v2/sessions/online/%s/close', $this->session_ref_number );
	}

	public function requires_auth(): bool {
		return true;
	}

	public function get_body(): array {
		return [];
	}
}
